package com.huimv.eartag2;

import com.huimv.eartag2.server.EartagServer;
import com.huimv.eartag2.server.EartagServer2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.amqp.rabbit.annotation.EnableRabbit;
import org.springframework.amqp.rabbit.connection.ConnectionFactory;
import org.springframework.amqp.rabbit.core.RabbitAdmin;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@EnableRabbit
@MapperScan(basePackages = "com.huimv.eartag2.mapper")
public class HuimvEartag2InputApplication {
    public static void main(String[] args) throws InterruptedException {
        ApplicationContext applicationContext = SpringApplication.run(HuimvEartag2InputApplication.class, args);
        //EartagServer2
        applicationContext.getBean(EartagServer2.class).run();
    }

}
